OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_SelectSingleViewFrom Class Reference

This selection gets the Single Views attached to its input
IGES entities. Single Views themselves or Drawings as passed
as such (Drawings, for their Annotations)
.

`#include <IGESSelect_SelectSingleViewFrom.hxx>`

Inheritance diagram for IGESSelect_SelectSingleViewFrom:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_SelectSingleViewFrom ()
| Creates a SelectSingleViewFrom .
Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Selects the Single Views attached (in Directory Part) to input entities .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns the label, with is "Single Views attached" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
virtual Standard_EXPORT Standard_Boolean | HasUniqueResult () const
| Returns True, because selection works with a ViewSorter which gives a unique result .

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SelectSingleViewFrom::IGESSelect_SelectSingleViewFrom | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_SelectSingleViewFrom::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectDeduct.

virtual Standard_EXPORT Standard_Boolean IGESSelect_SelectSingleViewFrom::HasUniqueResult | ( |  | ) | const`[protected, virtual]`

| Reimplemented from IFSelect_Selection.

Standard_EXPORT TCollection_AsciiString IGESSelect_SelectSingleViewFrom::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT Interface_EntityIterator IGESSelect_SelectSingleViewFrom::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Implements IFSelect_Selection.

The documentation for this class was generated from the following file:

- IGESSelect_SelectSingleViewFrom.hxx